Package SimPy :: Module MonitorTest

[hide private]
[frames] | no frames]

# Module MonitorTest

source code

Classes | [hide private]

`` | Thing Thing process for testing Monitors in simulation
`` | makeMtestCase Test Monitor
`` | makeTtestCase Test Tally
`` | Actor Process used in MakeEquivTestCase
`` | makeEquivTestCase To test that the histograms produced in monitoring a Resource instance's queues are equivalent

Functions | [hide private]

`` | makeMSuite()
`` | makeTSuite()
`` | makeEquivSuite()

Variables | [hide private]

`` | __version__ = `'1.8 $Revision: 1.1.1.18 $ $Date: 2007/01/08 14:45:5...`
`` | alltests = `unittest.TestSuite((makeMSuite(), makeTSuite(), make...`
`` | runner = `unittest.TextTestRunner()`
`` | generators = `_Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0...`

Function Details | [hide private]

### makeMSuite()

source code

None

### makeTSuite()

source code

None

### makeEquivSuite()

source code

None

Variables Details | [hide private]

### __version__

None

  Value:

        '1.8 $Revision: 1.1.1.18 $ $Date: 2007/01/08 14:45:56 $'

### alltests

None

  Value:

        unittest.TestSuite((makeMSuite(), makeTSuite(), makeEquivSuite()))

### runner

None

  Value:

        unittest.TextTestRunner()

### generators

None

  Value:

        _Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0), 4096)